/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TPO_table.sql **/
 EXEC p_AlterColumn 'T_TPO_DISCOUNT_DETAIL', 'FFILTER', 'VARCHAR(4000)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_TPO_DISCOUNT_DETAIL', 'FDESCRIPTION', 'VARCHAR(4000)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_TPO_YEARITEM_DETAIL', 'FFILTER', 'VARCHAR(4000)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_TPO_YEARITEM_DETAIL', 'FDESCRIPTION', 'VARCHAR(4000)', 'NOT NULL', '0100', ''' ''';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TPO_YEARITEM_DETAIL' AND KSQL_COL_NAME ='FCOSTCOLLECT') 
 ALTER TABLE T_TPO_YEARITEM_DETAIL ADD (FCOSTCOLLECT VARCHAR(30) DEFAULT ' ' NOT NULL );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TPO_table.sql **/
